lunes, 23 de noviembre de 2015

Wireshark 2.0 Ubuntu 14.04 LTS package (AMD64)

For all of those who want an Ubuntu package for installing the latest version of Wireshark in their systems, they can download it from here. Download the tarball, decompress and execute with "sudo" the included script. Afterwards, logout and login again.

If you do not want to download this package and build it from source, follow the instructions on Wireshark's webpage. Beware, you will need to download this patch and put it in debian/patch directory in order to compile it. You will also need to create a file "geoip_db_paths" inside "debian" directory with the system path to geoip database ("/usr/share/GeoIP"). Of course, you will also have to download all the build dependencies.

But remember: uninstall this package if you find a repository with this version. Is preferably to have packages synched with repos.





Para todos aquellos que quieren un paquete Ubuntu para instalar la última versión de Wireshark en sus sistemas, pueden descargarlo de aquí. Descarga el tarball, descomprímelo y ejecuta con "sudo" el script incluido. Después cierra sesión y vuelve a hacer login.

Si no quieres descargar este paquete y compilarlo desde el código fuente, puedes seguir las instrucciones de la página de Wireshark. Atención: necesitas descargar este parche y ponerlo en el directorio debian/patch para poder compilar el paquete. También tendrás que crear un archivo "geoip_db_paths" dentro de "debian" con la ruta a la base de datos geoip del sistema ("/usr/share/GeoIP"). Por supuesto, también tendrás que descargarte todas las dependencias de compilación.

Pero recuerda: desinstala este paquete si encuentras un repositorio con esta version. Es preferible tener paquetes sincronizados con los repositorios.

He escrito este post en inglés para darle mayor alcance, dado que el PPA dedicado a desplegar las nuevas versiones de Wireshark todavía no ha sido actualizado.